> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export objects

> Omit parameters to export all objects



## OpenAPI

````yaml /api-reference/4.2/service-objects.json get /objects/export
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service objects
servers:
  - url: /api/apollo/
security: []
tags:
  - name: objects
paths:
  /objects/export:
    get:
      tags:
        - 4.2 Objects API
      summary: Export objects
      description: Omit parameters to export all objects
      operationId: exportJson
      parameters:
        - name: type
          in: query
          description: >-
            One or more of: collection, index-pipeline, query-pipeline,
            search-cluster, datasource, parser, group, link, task, job, spark,
            blob, data-model, experiment, zone, template, subscription,   appkit
            or app
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: filterPolicy
          in: query
          description: >-
            One of: 'system' (filter system objects when exporting a particular
            type of object) or 'none' (export all objects of that type)
          required: false
          schema:
            type: string
            enum:
              - SYSTEM
              - NONE
            default: system
        - name: deep
          in: query
          description: '''True'' to include all linked objects'
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: successful operation
          content:
            application/json; qs=0.85:
              schema:
                $ref: '#/components/schemas/ExportContainer'
components:
  schemas:
    ExportContainer:
      type: object
      properties:
        objects:
          $ref: '#/components/schemas/FusionObjects'
        properties:
          type: array
          items:
            $ref: '#/components/schemas/SubstitutedProperty'
        metadata:
          $ref: '#/components/schemas/Metadata'
    FusionObjects:
      type: object
      properties:
        collections:
          type: array
          items:
            $ref: '#/components/schemas/Collection'
        indexPipelines:
          type: array
          items:
            $ref: '#/components/schemas/IndexPipelineDefinition'
        queryPipelines:
          type: array
          items:
            $ref: '#/components/schemas/QueryPipelineDefinition'
        searchClusters:
          type: array
          items:
            $ref: '#/components/schemas/SearchCluster'
        features:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/Feature'
        indexProfiles:
          type: array
          items:
            $ref: '#/components/schemas/IndexProfile'
        queryProfiles:
          type: array
          items:
            $ref: '#/components/schemas/QueryProfile'
        parsers:
          type: array
          items:
            $ref: '#/components/schemas/ParserConfig'
        objectGroups:
          type: array
          items:
            $ref: '#/components/schemas/ObjectGroup'
        links:
          type: array
          items:
            $ref: '#/components/schemas/Link'
        tasks:
          type: array
          items:
            $ref: '#/components/schemas/Task'
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/JobConfig'
        sparkJobs:
          type: array
          items:
            $ref: '#/components/schemas/SparkJobConfig'
        blobs:
          type: array
          items:
            $ref: '#/components/schemas/Blob'
        experiments:
          type: array
          items:
            $ref: '#/components/schemas/Experiment'
        appkitApps:
          type: array
          items:
            $ref: '#/components/schemas/AppkitAppExportContainer'
        fusionApps:
          type: array
          items:
            $ref: '#/components/schemas/FusionApp'
        customRules:
          type: array
          items:
            $ref: '#/components/schemas/CustomRuleTypeConfig'
        dataSources:
          type: array
          items:
            $ref: '#/components/schemas/DataSource'
    SubstitutedProperty:
      type: object
      properties:
        id:
          type: string
        schema:
          $ref: '#/components/schemas/Schema'
    Metadata:
      type: object
      properties:
        formatVersion:
          type: string
        exportedBy:
          type: string
        exportedDate:
          type: string
        fusionVersion:
          type: string
        fusionGuid:
          type: string
    Collection:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        createdAt:
          type: string
          format: date-time
        searchClusterId:
          type: string
        commitWithin:
          type: integer
          format: int32
        features:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Feature'
        compositeIdSpec:
          $ref: '#/components/schemas/CompositeIdSpec'
        solrParams:
          $ref: '#/components/schemas/CreateCollectionCmd'
        modifiedAt:
          type: string
          format: date-time
        type:
          type: string
          enum:
            - DATA
            - LOGS
            - METRICS
            - SIGNALS
            - SIGNALS_AGGREGATION
            - SEARCHLOGS
            - SYNONYMS
            - RECOMMENDATIONS
            - HISTORY
            - BLOBS
            - MESSAGES
            - TAXONOMY
            - CRAWL_DB
            - JOB_HISTORY
            - ARCHIVING
            - AUTOCOMPLETE_DOCUMENTS
            - QUERY_REWRITE
            - USER_PREFS
            - JOB_REPORTS
            - 'NULL'
        relatedCollectionId:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
    IndexPipelineDefinition:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        stages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/StageConfig'
        properties:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    QueryPipelineDefinition:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        stages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/StageConfig'
        properties:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    SearchCluster:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        connectString:
          type: string
          readOnly: true
        zkClientTimeout:
          type: integer
          format: int32
          readOnly: true
        zkConnectTimeout:
          type: integer
          format: int32
          readOnly: true
        cloud:
          type: boolean
          readOnly: true
          default: false
        bufferFlushInterval:
          type: integer
          format: int32
          readOnly: true
        bufferSize:
          type: integer
          format: int32
          readOnly: true
        concurrency:
          type: integer
          format: int32
          readOnly: true
        authConfig:
          $ref: '#/components/schemas/AuthConfig'
        validateCluster:
          type: boolean
          default: false
    Feature:
      type: object
      properties:
        name:
          type: string
        collectionId:
          type: string
        params:
          type: object
          additionalProperties:
            type: object
        enabled:
          type: boolean
          default: false
    IndexProfile:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        indexPipeline:
          type: string
          readOnly: true
        collection:
          type: string
          readOnly: true
        parser:
          type: string
          readOnly: true
        params:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParamAndValue'
    QueryProfile:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        queryPipeline:
          type: string
          readOnly: true
        collection:
          type: string
          readOnly: true
        searchHandler:
          type: string
          readOnly: true
        params:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParamAndValue'
        experiment:
          $ref: '#/components/schemas/ExperimentReference'
    ParserConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        idField:
          type: string
          readOnly: true
        enableMediaTypeDetection:
          type: boolean
          readOnly: true
          default: false
        maxParserDepth:
          type: integer
          format: int32
          readOnly: true
        parserStages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParserStageConfig'
    ObjectGroup:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        isSystem:
          type: boolean
          readOnly: true
          default: false
        description:
          type: string
          readOnly: true
    Link:
      type: object
      properties:
        subject:
          $ref: '#/components/schemas/FusionResource'
        object:
          $ref: '#/components/schemas/FusionResource'
        linkType:
          type: string
          readOnly: true
          enum:
            - DependsOn
            - Supports
            - IsPartOf
            - HasPart
            - RelatesTo
            - InContextOf
            - HasContext
            - Self
        originator:
          type: string
          readOnly: true
    Task:
      type: object
      discriminator:
        propertyName: type
      properties:
        id:
          type: string
          readOnly: true
        type:
          type: string
          readOnly: true
    JobConfig:
      type: object
      properties:
        resource:
          $ref: '#/components/schemas/FusionResource'
        enabled:
          type: boolean
          readOnly: true
          default: false
        triggers:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/JobTriggerConfig'
        default:
          type: boolean
          readOnly: true
          default: false
    SparkJobConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    Blob:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        path:
          type: string
          readOnly: true
        dir:
          type: string
          readOnly: true
        filename:
          type: string
          readOnly: true
        contentType:
          type: string
          readOnly: true
        size:
          type: integer
          format: int64
          readOnly: true
        modifiedTime:
          type: string
          format: date-time
          readOnly: true
        version:
          type: integer
          format: int64
          readOnly: true
        md5:
          type: string
          readOnly: true
        metadata:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    Experiment:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        uniqueIdParameter:
          type: string
          readOnly: true
        baseSignalsCollection:
          type: string
          readOnly: true
        variants:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ExperimentVariant'
        automaticallyAdjustTraffic:
          type: boolean
          readOnly: true
          default: false
        enabled:
          type: boolean
          readOnly: true
          default: false
        startTimestamp:
          type: string
          format: date-time
          readOnly: true
        runId:
          type: string
          readOnly: true
        metrics:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ExperimentMetric'
    AppkitAppExportContainer:
      type: object
      properties:
        appkitApp:
          $ref: '#/components/schemas/AppkitApp'
        editingSessions:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/EditingSession'
    FusionApp:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
    CustomRuleTypeConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        display_type:
          type: string
          readOnly: true
        pipeline_id:
          type: string
          readOnly: true
        schema:
          $ref: '#/components/schemas/ObjectType'
    DataSource:
      type: object
      properties:
        id:
          type: string
        created:
          type: string
          format: date-time
        modified:
          type: string
          format: date-time
        connector:
          type: string
        type:
          type: string
        description:
          type: string
        pipeline:
          type: string
        parserId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: object
    Schema:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        description:
          type: string
        hints:
          type: array
          items:
            type: string
    CompositeIdSpec:
      type: object
      properties:
        routeKey1Field:
          type: string
        routeKey1Bits:
          type: integer
          format: int32
        routeKey2Field:
          type: string
        routeKey2Bits:
          type: integer
          format: int32
    CreateCollectionCmd:
      type: object
      properties:
        name:
          type: string
        numShards:
          type: integer
          format: int32
        replicationFactor:
          type: integer
          format: int32
        collection.configName:
          type: string
    StageConfig:
      type: object
      properties:
        type:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        skip:
          type: boolean
          default: false
        label:
          type: string
        condition:
          type: string
    AuthConfig:
      type: object
      properties:
        authType:
          type: string
          readOnly: true
          enum:
            - NONE
            - BASIC
            - KERBEROS
        username:
          type: string
          readOnly: true
        password:
          type: string
          readOnly: true
        keyTab:
          type: string
          readOnly: true
        principal:
          type: string
          readOnly: true
    ParamAndValue:
      type: object
      properties:
        key:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        policy:
          type: string
          readOnly: true
          enum:
            - REPLACE
            - APPEND
            - REMOVE
            - DEFAULT
    ExperimentReference:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        percentOfTraffic:
          type: number
          format: double
          readOnly: true
    ParserStageConfig:
      type: object
      properties:
        label:
          type: string
        enabled:
          type: boolean
          default: false
        mediaTypes:
          type: array
          items:
            type: string
        pathPatterns:
          type: array
          items:
            $ref: '#/components/schemas/SyntaxAndPattern'
        errorHandling:
          type: string
          readOnly: true
          enum:
            - IGNORE
            - LOG
            - FAIL
            - MARK
        id:
          type: string
          readOnly: true
        inheritMediaTypes:
          type: boolean
          default: false
        outputFieldPrefix:
          type: string
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri
    JobTriggerConfig:
      type: object
      discriminator:
        propertyName: type
      properties:
        enabled:
          type: boolean
          readOnly: true
          default: false
        type:
          type: string
          readOnly: true
    ExperimentVariant:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        collection:
          type: string
          readOnly: true
        queryPipeline:
          type: string
          readOnly: true
        params:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParamAndValue'
        weight:
          type: number
          format: double
          readOnly: true
    ExperimentMetric:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        jobId:
          type: string
        binary:
          type: boolean
          readOnly: true
          default: false
        primary:
          type: boolean
          readOnly: true
          default: false
    AppkitApp:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        contextPath:
          type: string
          readOnly: true
        enabled:
          type: boolean
          readOnly: true
          default: false
        war:
          type: string
          readOnly: true
        warMd5:
          type: string
          readOnly: true
        warSize:
          type: integer
          format: int64
          readOnly: true
        type:
          type: string
          readOnly: true
    EditingSession:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        owner:
          type: string
          readOnly: true
        createdAt:
          type: string
          format: date-time
          readOnly: true
        version:
          type: string
    ObjectType:
      type: object
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - String
            - Number
            - Integer
            - Boolean
            - Object
            - Array
            - 'Null'
            - Ref
        title:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        required:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        properties:
          type: object
          readOnly: true
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        additionalProperties:
          type: object
          readOnly: true
        minProperties:
          type: integer
          format: int32
          readOnly: true
        maxProperties:
          type: integer
          format: int32
          readOnly: true
        definitions:
          type: object
          readOnly: true
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        category:
          type: string
          readOnly: true
        categoryPriority:
          type: integer
          format: int32
          readOnly: true
        enum:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: object
        hints:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        unsafe:
          type: boolean
          readOnly: true
          default: false
        default:
          type: object
          readOnly: true
        oneOf:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
        propertyGroups:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PropertyGroup'
    SyntaxAndPattern:
      type: object
      properties:
        syntax:
          type: string
          readOnly: true
          enum:
            - GLOB
            - REGEX
        pattern:
          type: string
          readOnly: true
    AnyType:
      type: object
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - String
            - Number
            - Integer
            - Boolean
            - Object
            - Array
            - 'Null'
            - Ref
        title:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        enum:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: object
        default:
          type: object
          readOnly: true
        category:
          type: string
          readOnly: true
        categoryPriority:
          type: integer
          format: int32
          readOnly: true
        hints:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        unsafe:
          type: boolean
          readOnly: true
          default: false
        oneOf:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
    AnyTypeObjectObject:
      type: object
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - String
            - Number
            - Integer
            - Boolean
            - Object
            - Array
            - 'Null'
            - Ref
        title:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        enum:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: object
        default:
          type: object
          readOnly: true
        category:
          type: string
          readOnly: true
        categoryPriority:
          type: integer
          format: int32
          readOnly: true
        hints:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        unsafe:
          type: boolean
          readOnly: true
          default: false
        oneOf:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
    PropertyGroup:
      type: object
      properties:
        label:
          type: string
          readOnly: true
        properties:
          type: array
          readOnly: true
          items:
            type: string

````